---
updatedAt: 2025-12-28T21:51:27.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/llms.txt
---

# getTrackingStatus

## Request Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Parameter
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        trackingnumber
      </td>

      <td style={{ textAlign: "left" }}>
        String\*
      </td>

      <td style={{ textAlign: "left" }}>
        Cargo Tracking number
      </td>
    </tr>
  </tbody>
</Table>

> ❗️ \*Mandatory parameters

## Response

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        success
      </td>

      <td>
        Boolean
      </td>

      <td>
        Wether or not request was successful
      </td>
    </tr>

    <tr>
      <td>
        status
      </td>

      <td>
        Array of elements
      </td>

      <td>
        An array containing all of the active status records of the requested cargo
      </td>
    </tr>

    <tr>
      <td>
        status
      </td>

      <td>
        String
      </td>

      <td>
        The name of the current status record
      </td>
    </tr>

    <tr>
      <td>
        remark
      </td>

      <td>
        String
      </td>

      <td>
        Remark added to that status
      </td>
    </tr>

    <tr>
      <td>
        date
      </td>

      <td>
        Datetime
      </td>

      <td>
        The date of creation / update of that record (UTC)
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs-v5",
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/getTrackingStatus": {
      "post": {
        "summary": "getTrackingStatus",
        "description": "",
        "operationId": "gettrackingstatus",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "trackingnumber": "288153D7BA"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"aerocrs\": {\n        \"success\": true,\n        \"status\": [\n            {\n                \"status\": \"first level\",\n                \"remark\": \"This is a new remark\",\n                \"date\": \"2020/07/30 12:04:29\"\n            },\n            {\n                \"status\": \"second level\",\n                \"remark\": \"This is second Remark\",\n                \"date\": \"2020/07/30 12:11:54\"\n            }\n        ]\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "status": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "status": {
                                "type": "string",
                                "example": "first level"
                              },
                              "remark": {
                                "type": "string",
                                "example": "This is a new remark"
                              },
                              "date": {
                                "type": "string",
                                "example": "2020/07/30 12:04:29"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              "application/xml": {
                "examples": {
                  "Result": {
                    "value": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n    <success>true</success>\n    <status>\n        <status>first level</status>\n        <remark>This is a new remark</remark>\n        <date>2020/07/30 12:04:29</date>\n    </status>\n    <status>\n        <status>second level</status>\n        <remark>This is second Remark</remark>\n        <date>2020/07/30 12:11:54</date>\n    </status>\n</aerocrs>"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "xml",
              "code": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n    <parms>\n        <trackingnumber>288153D7BA</trackingnumber>\n    </parms>\n</aerocrs>",
              "name": "XML"
            }
          ],
          "samples-languages": [
            "xml"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```